/**
 * Copyright (C) 2013 Quan Wang <wangq10@rpi.edu>,
 * Signal Analysis and Machine Perception Laboratory,
 * Department of Electrical, Computer, and Systems Engineering,
 * Rensselaer Polytechnic Institute, Troy, NY 12180, USA
 */

/** 
 * This is the C/MEX code of dynamic time warping of two signals
 *
 * compile: 
 *     mex dtw_c.c
 *
 * usage:
 *     d=dtw_c(s,t)  or  d=dtw_c(s,t,w)
 *     where s is signal 1, t is signal 2, w is window parameter 
 */

#include <stdlib.h>
#include <stdio.h>
#include <math.h>

#define DIAG 0
#define HALF 1
#define DOUB 2

double vectorDistance(double *s, double *t, int ns, int nt, int k, int i, int j);

double dtw_c(double *s, double *t, int w, int ns, int nt, int k);
